aboutsummaryrefslogtreecommitdiffstats
path: root/main/sdl_image/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-29 13:33:44 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-29 13:33:44 +0000
commit01f1a06bc0d4a625421504053ed21b8013f0cd9c (patch)
tree34781ad3a69191587c048c31dc1e3e3c10e513c9 /main/sdl_image/APKBUILD
parent7357e6906778fd93d3f477a62546b7c2ba4493ed (diff)
downloadaports-01f1a06bc0d4a625421504053ed21b8013f0cd9c.tar.gz
aports-01f1a06bc0d4a625421504053ed21b8013f0cd9c.tar.bz2
aports-01f1a06bc0d4a625421504053ed21b8013f0cd9c.tar.xz
main/sdl_image: libpng build fix and remove *.la
Diffstat (limited to 'main/sdl_image/APKBUILD')
-rw-r--r--main/sdl_image/APKBUILD21
1 files changed, 15 insertions, 6 deletions
diff --git a/main/sdl_image/APKBUILD b/main/sdl_image/APKBUILD
index 2e13042b2c..bc95db1a60 100644
--- a/main/sdl_image/APKBUILD
+++ b/main/sdl_image/APKBUILD
@@ -1,8 +1,8 @@
# Contributor: Carlo Landmeter
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=sdl_image
pkgver=1.2.10
-pkgrel=1
+pkgrel=2
pkgdesc="A simple library to load images of various formats as SDL surfaces"
url="http://www.libsdl.org/projects/SDL_image/"
arch="all"
@@ -11,13 +11,19 @@ depends=
makedepends="sdl-dev libpng-dev jpeg-dev tiff-dev zlib-dev"
install=
subpackages="$pkgname-dev"
-source="http://www.libsdl.org/projects/SDL_image/release/SDL_image-${pkgver}.tar.gz"
+source="http://www.libsdl.org/projects/SDL_image/release/SDL_image-${pkgver}.tar.gz
+ sdl-image-1.2.10-libpng15.patch
+ "
_builddir="$srcdir"/SDL_image-$pkgver
prepare() {
cd "$_builddir"
- # apply patches here
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
@@ -31,7 +37,10 @@ build() {
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la
+
}
-md5sums="6c06584b31559e2b59f2b982d0d1f628 SDL_image-1.2.10.tar.gz"
+md5sums="6c06584b31559e2b59f2b982d0d1f628 SDL_image-1.2.10.tar.gz
+53cb7b90cce2526570cfe0f8f80baa3e sdl-image-1.2.10-libpng15.patch"